#!/bin/bash

tmpHtmlEntities="/tmp/checkForMissingHTML2LatexEntities-entities.html"
tmpHelpPhpEntities="/tmp/checkForMissingHTML2LatexEntities-help.php"
tmpTranslation="/tmp/checkForMissingHTML2LatexEntities-translation.htmlLatex"

# Translation table (HTML > LaTeX)
echo "Aacute#Aacute
aacute#aacute
Acirc#Acircumflex
acirc#acircumflex
acute#textacute
AElig#AEligature
aelig#aeligature
Agrave#Agrave
agrave#agrave
alefsym#aleph
Alpha#greekAlpha
alpha#greekalpha
and#wedge
ang#angle
Aring#Aring
aring#aring
asymp#approx
Atilde#Atilde
atilde#atilde
Auml#Adiaeresis
auml#adiaeresis
bdquo#quotedblbase
Beta#greekBeta
beta#greekbeta
brvbar#textbrokenbar
bull#textbullet
cap#cap
Ccedil#Ccedilla
ccedil#ccedilla
cedil#textcedilla
cent#textcent
Chi#greekChi
chi#greekchi
circ#textcircumflex
clubs#clubsuit
cong#approxEq
copy#copyright
crarr#carriagereturn
cup#cup
curren#textcurrency
dagger#textdag
Dagger#textddag
darr#downarrow
dArr#Downarrow
deg#textdegree
Delta#greekDelta
delta#greekdelta
diams#blacklozenge
divide#textdiv
Eacute#Eacute
eacute#eacute
Ecirc#Ecircumflex
ecirc#ecircumflex
Egrave#Egrave
egrave#egrave
empty#emptyset
emsp#emspace
ensp#enspace
Epsilon#greekEpsilon
epsilon#greekepsilon
equiv#equiv
Eta#greekEta
eta#greeketa
ETH#Eth
eth#eth
Euml#Ediaeresis
euml#ediaeresis
exist#exists
fnof#fhook
forall#forall
frac12#onehalf
frac14#onequarter
frac34#threequarter
frasl#textfraction
Gamma#greekGamma
gamma#greekgamma
ge#geq
gt#gt
harr#leftrightarrow
hArr#Leftrightarrow
hellip#textellipsis
Iacute#Iacute
iacute#iacute
Icirc#Icircumflex
icirc#icircumflex
iexcl#exclamdown
Igrave#Igrave
igrave#igrave
image#Im
infin#infty
int#intop
Iota#greekIota
iota#greekiota
iquest#questiondown
isin#in
Iuml#Idiaeresis
iuml#idiaeresis
Kappa#greekKappa
kappa#greekkappa
Lambda#greekLambda
lambda#greeklambda
lang#langle
laquo#leftguillemot
larr#leftarrow
lArr#Leftarrow
lceil#lceiling
ldquo#quotedblleft
le#leq
lfloor#lfloor
lowast#ast
loz#lozenge
lsaquo#guilsingleleft
lsquo#quoteleft
lt#lt
macr#textmacron
mdash#emdash
micro#textmu
middot#periodcentered
Mu#greekMu
mu#greekmu
nbsp#nobreakspace
ndash#endash
ne#neq
ni#ni
not#textlognot
notin#nin
nsub#nsubset
Ntilde#Ntilde
ntilde#ntilde
Nu#greekNu
nu#greeknu
Oacute#Oacute
oacute#oacute
Ocirc#Ocircumflex
ocirc#ocircumflex
OElig#OEligature
oelig#oeligature
Ograve#Ograve
ograve#ograve
Omega#greekOmega
omega#greekomega
Omicron#greekOmicron
omicron#greekomicron
oplus#oplus
or#vee
ordf#ordfeminine
ordm#ordmasculine
Oslash#Ostroke
oslash#ostroke
Otilde#Otilde
otilde#otilde
otimes#otimes
Ouml#Odiaeresis
ouml#odiaeresis
para#paragraphmark
part#partial
permil#perthousand
perp#bot
Phi#greekPhi
phi#greekphi
Pi#greekPi
pi#greekpi
piv#greekpialt
plusmn#textpm
pound#textsterling
prime#prime
Prime#doubleprime
prod#prod
prop#propto
Psi#greekPsi
psi#greekpsi
radic#surd
rang#rangle
raquo#rightguillemot
rarr#rightarrow
rArr#Rightarrow
rceil#rceiling
rdquo#quotedblright
real#Re
reg#registered
rfloor#rfloor
Rho#greekRho
rho#greekrho
rsaquo#guilsingleright
rsquo#quoteright
sbquo#quotesinglebase
Scaron#Scaron
scaron#scaron
sdot#cdot
sect#sectionmark
shy#softhyphen
Sigma#greekSigma
sigma#greeksigma
sigmaf#greekfinalsigma
sim#sim
spades#spadesuit
sub#subset
sube#subseteq
sum#sum
sup#supset
sup1#onesuperior
sup2#twosuperior
sup3#threesuperior
supe#supseteq
szlig#ssharp
Tau#greekTau
tau#greektau
there4#therefore
Theta#greekTheta
theta#greektheta
thetasym#greekthetaalt
thinsp#breakablethinspace
THORN#Thorn
thorn#thorn
tilde#texttilde
times#textmultiply
trade#trademark
Uacute#Uacute
uacute#uacute
uarr#uparrow
uArr#Uparrow
Ucirc#Ucircumflex
ucirc#ucircumflex
Ugrave#Ugrave
ugrave#ugrave
uml#textdiaeresis
Upsilon#greekUpsilon
upsilon#greekupsilon
Uuml#Udiaeresis
uuml#udiaeresis
weierp#wp
Xi#greekXi
xi#greekxi
Yacute#Yacute
yacute#yacute
yen#textyen
yuml#ydiaeresis
Yuml#Ydiaeresis
Zeta#greekZeta
zeta#greekzeta
zwj#zwj
zwnj#zwnj" > $tmpTranslation


# Get the HTML entities from all help files
grep -r ';' /m23/inc/help | sed 's/.*\(\&.*;\).*/\1/g' | grep '&' | sed 's/;.*/;/g' | sort -u > $tmpHtmlEntities

# Get the entities from the HTML to LaTeX translation array
grep '\$s\[' /m23/inc/help.php > $tmpHelpPhpEntities

cat $tmpHtmlEntities | while read entity
do
	if [ $(grep -c "$entity" $tmpHelpPhpEntities) -eq 0 ]
	then
		echo "Missing: $entity"
		grep $entity $tmpTranslation
	fi
done